@echo off
echo.
echo  Express Call-Back Verifier v3.1 Installation Utility 
echo.
if not exist xcbvpack.fls goto wrongdir
if .%1. == .. goto nodir

echo This program will perform a new installation of XCBV on your system.  You
echo may press [CTRL]-C to abort this procedure at any time.  If you already have
echo XCBV installed and just want to upgrade to this newer version, abort this
echo program and run UPGRADE instead.
echo.
echo You specified '%1' as the target directory.
echo This directory will be created if it doesn't already exist.
echo.
pause
md %1>nul
echo.
echo Working...
ren xcbvpack.fls *.exe >nul
xcbvpack -o %1\
ren xcbvpack.exe *.fls >nul
if errorlevel 1 goto error
del %1\*.doc >nul
del %1\*.frm >nul
copy *.doc %1 >nul
copy *.frm %1 >nul
echo --------------------
echo.
echo All necessary files have been installed in the target directory.  It is
echo recommended that you read the main documentation (XCBV.DOC) if you haven't
echo already.
echo.
echo TO COMPLETE YOUR INSTALLATION:
echo   Go to the %1 directory.
echo   Run CONFIG to set up XCBV for your system.
echo   Use a text editor to modify these files to match your set-up:
echo    SPECIAL.TXT  *  XCBV.BAT  *  EDIT.BAT
echo    (See XCBV.DOC for more information.)
echo   Run EDIT and select "Scan & update records".
goto end

:wrongdir
echo This program must be run from the directory containing XCBVPACK.FLS.
goto end

:nodir
echo Specify desired directory where you want to install XCBV (with
echo no trailing backslash). This directory must already exist.
echo Example:  INSTALL D:\BBS\DOORS\XCBV
goto end

:error
echo Error (Disk full?) -- Installation failed!

:end
echo.
