@echo off
echo.
echo  Express Call-Back Verifier v3.0 to v3.1 Upgrade Utility 
echo.
if not exist XCBVPACK.FLS goto wrongdir
if .%1. == .. goto nodir

echo This program will help upgrade your current XCBV v3.0 installation to
echo the new version.  Your current configuration and call-back records
echo should not be affected.
echo.
echo You may press [CTRL]-C to abort this procedure at any time. If you don't
echo already have version 3.0 installed, abort this program and run
echo INSTALL instead.
echo.
echo You specified '%1' as your existing XCBV directory.
echo If this is incorrect, stop now. Otherwise:
echo.
pause
echo.
echo Working...
ren xcbvpack.fls *.exe >nul
xcbvpack -n %1\ *.*
del %1\xcbv.exe >nul
del %1\edit.exe >nul

:done
ren xcbvpack.exe *.fls >nul
if errorlevel 1 goto error
del %1\*.doc >nul
del %1\*.frm >nul
copy *.doc %1 >nul
copy *.frm %1 >nul
echo --------------------
echo.
echo All new & updated files have been installed in the target directory.  If the
echo program doesn't work properly, try doing a full installation.  It is
echo recommended that you read HISTORY.DOC to learn about program changes.
echo.
echo TO COMPLETE YOUR UPGRADE:
echo   Go to the %1 directory.
rem echo   Run CONFIG to set up this version of XCBV for your system.
echo   Use a text editor to modify these files to match your set-up:
echo    XCBV.BAT  *  EDIT.BAT
echo    (See XCBV.DOC for more information.)
rem echo   Run EDIT and select "Scan & update records".
goto end

:wrongdir
echo This program must be run from the directory containing XCBVPACK.FLS.
goto end

:nodir
echo Specify directory where XCBV is currently installed
echo (with no trailing backslash).
echo Example:  UPGRADE D:\BBS\DOORS\XCBV
goto end

:error
echo Error (Not enough memory? Disk full?) -- Installation failed!

:end
echo.
